ListHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FundPolicy.ListHistory(ctx, operations.C1APIFundsV1FundPolicyServiceListHistoryRequest{})
if err != nil {
log.Fatal(err)
}
if res.FundPolicyServiceListHistoryResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/funds/policy/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/funds/policy/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/funds/policy/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"metadata": {
"actor": {
"kind": "ACTOR_KIND_UNSPECIFIED",
"userId": "<string>"
},
"annotations": [
{
"displayLabel": "<string>",
"displayUrl": "<string>",
"displayValue": "<string>",
"key": "<string>",
"kind": "ANNOTATION_KIND_UNSPECIFIED",
"rawValue": "<string>"
}
],
"changeKind": "CHANGE_KIND_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"syslogEventId": "<string>",
"traceId": "<string>"
},
"snapshot": {
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"defaultLimit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"orgCeiling": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"spendRemedyRequestPolicyId": "<string>",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"nextPageToken": "<string>"
}Fund Policy
List History
List the change history for the fund policy, newest first. Admin-tier per the object-history convention.
GET
/
api
/
v1
/
funds
/
policy
/
history
ListHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FundPolicy.ListHistory(ctx, operations.C1APIFundsV1FundPolicyServiceListHistoryRequest{})
if err != nil {
log.Fatal(err)
}
if res.FundPolicyServiceListHistoryResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Was this page helpful?